<?php
/* @var $this PageController */
/* @var $model Page */

$this->breadcrumbs=array(
	'Pages'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Page', 'url'=>array('index')),
	array('label'=>'Create Page', 'url'=>array('create')),
);
?>
<div id="communbox" style="width:885px; float:left;">
<div id="headlines" style="width: 99%; padding-left:2%;"><img src="images/admin/bg.png" width="12" height="7" class="right5"/>
Manage Pages
</div>
<div id="communicationsbox" style="height:525px; background-color:#f7eee1;">
<?php
    foreach(Yii::app()->user->getFlashes() as $key => $message) {
        echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
    }
?>
<div id="form_wrapper">
<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'page-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		array(
			'header'=>'Sl.No.',
			'value'=>'$this->grid->dataProvider->pagination->currentPage * $this->grid->dataProvider->pagination->pageSize + ($row+1)',
			'htmlOptions'=>array('width'=>'5px'),
		),
		array
		(
			'name'=>'menu_id',
			'value'=>'$data->menu->menu_title',
			'filter'=>MenuItem::getMenu(),
		),
		'page_title',
		array(
            'name'=>'isActive',
            'header'=>'Status',
            'filter'=>array(''=>'All','Y'=>'Active','N'=>'Inactive'),
            'value'=>'CHtml::link(($data->isActive=="Y")?CHtml::image("images/admin/active.png",""):CHtml::image("images/admin/inactive.png",""),"#",array("class"=>"doChangeStatus","id"=>$data->id,"title"=>"Change status"))',
			'type'=>'raw'
        ),
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
</div>
</div>
</div>